<div class="row">
    <div class="col-md-12">
        <button data-toggle="modal" data-target="#addFabricInspection" (click)="CreateFabricInspectionForm()"
                type="button" class="btn btn-sm btn-custom mb-3 mr-2" data-backdrop="static"
                data-keyboard="false">Add Fabric Inspection Entry</button>
           
        <button type="button" (click)="generateExcel()" class="btn btn-sm btn-primary mb-3"><i class="fa fa-download mr-1"></i>Generate
                Report</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header">
        <form class="user filterForm" [formGroup]="filterForm">
            <div class="form-group row">
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="f_erp" class="form-control dropdown" (change)="getFabricInspectionLogs()">
                        <option value="" selected>Select ERP</option>
                        <option *ngFor="let e of erps" value="{{e.erp_id}}">{{e.erp_title}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input formControlName="f_date" type="date" (change)="getFabricInspectionLogs()"
                        class="form-control form-control-user">
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>ERP</th>
                            <th>Roll No.</th>
                            <th>Color</th>
                            <th>Quantity</th>
                            <th>Rejections</th>
                            <th>Barcode</th>
                            <th>Added By</th>
                            <th>Datetime</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let data of logs | paginate: { itemsPerPage: 10, currentPage: p }">
                            <td>{{data.erp_title}}</td>
                            <td>{{data.roll_no}}</td>
                            <td>{{data.color}}</td>
                            <td>{{data.quantity}}</td>
                            <td>{{data.rejections}}</td>
                            <td>{{data.barcode}}</td>
                            <td>{{data.added_by}}</td>
                            <td>{{data.created_on}}</td>
                            <td>
                                <span><a [routerLink]="" data-toggle="modal" data-target="#addFabricInspection"
                                        (click)="editFabricInspection(data)"><i class="fa fa-edit mr-2"
                                            aria-hidden="true"></i></a></span>
                            </td>
                        </tr>
                        <tr *ngIf="logs==''">
                            <td colspan="9" class="text-center">No Records Found</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="row d-flex justify-content-center">
                <pagination-controls *ngIf="logs!=''" class="my-pagination" (pageChange)="p = $event">
                </pagination-controls>
            </div>
    </div>
</div>


<!-----------Add Inward Entries Modal------------------------>
<div id="addFabricInspection" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <div class="modal-content">
            <div class="model-content">
                <div class="modal-header">
                    <h6 class="modal-title">Add Fabric Inspection Entry</h6>
                    <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form [formGroup]="fabricInspectionForm" (ngSubmit)="addorEditFabricInspectionEntry()">
                        <div class="row form-group">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label> ERP:</label>
                                <select formControlName="erp" class="form-control dropdown" id="section">
                                    <option *ngFor="let erp of erps" value="{{erp.erp_id}}">{{erp.erp_title}}</option>
                                </select>
                                <div *ngIf="submitted && formcontrol.erp.errors" class="errors">
                                    <div *ngIf="formcontrol.erp.errors.required">ERP is required</div>
                                </div>
                            </div>
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label>Roll Number:</label>
                                <input formControlName="roll_no" type="text" class="form-control form-control-user"
                                    id="roll_no">
                                <div *ngIf="submitted && formcontrol.roll_no.errors" class="errors">
                                    <div *ngIf="formcontrol.roll_no.errors.required">Roll Number is required</div>
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label>Color:</label>
                                <input formControlName="color" type="text" class="form-control form-control-user"
                                    id="color">
                                <div *ngIf="submitted && formcontrol.color.errors" class="errors">
                                    <div *ngIf="formcontrol.color.errors.required">Color is required</div>
                                </div>
                            </div>
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label>Barcode:</label>
                                <input formControlName="barcode" type="text" class="form-control form-control-user"
                                    id="barcode">
                                <div *ngIf="submitted && formcontrol.barcode.errors" class="errors">
                                    <div *ngIf="formcontrol.barcode.errors.required">Barcode is required</div>
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label id="qlabel">Quantity:</label>
                                <input formControlName="quantity" type="text" class="form-control form-control-user"
                                    id="quantity">
                                <div *ngIf="submitted && formcontrol.quantity.errors" class="errors">
                                    <div *ngIf="formcontrol.quantity.errors.required">Quantity is required</div>
                                </div>
                            </div>
                            <div class="col-sm-6 mb-3 mb-sm-0">
                                <label>Rejections:</label>
                                <input formControlName="rejections" type="text" class="form-control form-control-user"
                                    id="rejections">
                                <div *ngIf="submitted && formcontrol.rejections.errors" class="errors">
                                    <div *ngIf="formcontrol.rejections.errors.required">Rejections is required</div>
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="form-group row">
                            <div class="col-sm-4 mb-3 mb-sm-0">
                            </div>
                            <div class="col-sm-4 mb-3 mb-sm-0">
                                <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>